> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List EventLog

> List Tenant IP Market EventLog



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/services/event_logs
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/services/event_logs:
    get:
      tags:
        - EventLog
      summary: List EventLog
      description: List Tenant IP Market EventLog
      operationId: API-Pub-IPmarket-EventLog-listTenantLogs
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: type
          in: query
          description: Filter by Event Type
          schema:
            enum:
              - pricing_updated
              - pricing_created
              - leased
              - released
              - created
            type: string
        - name: label
          in: query
          description: Filter by subnet label
          schema:
            type: string
        - name: start
          in: query
          description: >-
            Filter by Start period date in unix timestamp format which is
            greater or equal to input
          schema:
            type: integer
        - name: end
          in: query
          description: >-
            Filter By End period date in unix timestamp format which is lower or
            equal to input
          schema:
            type: integer
        - name: sort
          in: query
          description: Sort by key
          schema:
            enum:
              - created_at
            type: string
        - name: page
          in: query
          description: List Page
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          description: Items Per Page
          schema:
            type: integer
            default: 15
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/API.Pub.Resources.IPMarket.EventLogResource
                  meta:
                    $ref: '#/components/schemas/collectionMeta'
              example:
                data:
                  - label: string
                    type: string
                    data:
                      - string: string
                    created_at: 0
                meta:
                  current_page: 0
                  from: 0
                  last_page: 0
                  per_page: 0
                  to: 0
                  total: 0
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '422':
          description: Unprocessable Entity
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.EventLogResource:
      type: object
      properties:
        label:
          type: string
        type:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              string:
                type: string
        created_at:
          type: integer
    collectionMeta:
      type: object
      properties:
        current_page:
          type: integer
        from:
          type: integer
        last_page:
          type: integer
        per_page:
          type: integer
        to:
          type: integer
        total:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````